text-1.2.2.0: An efficient packed Unicode text type.

Copyright | (c) 2014 Bryan O'Sullivan
License | BSD-style
Maintainer | bos@serpentine.com
Stability | experimental
Portability | GHC
Safe Haskell | Safe
Language | Haskell98

Data.Text.Internal.Read

Description

Common internal functions for reading textual data.

# Documentation

type IReader t a = t -> Either String (a, t) Source

newtype IParser t a Source

Constructors

P |

Fields

runP :: IReader t a

Instances

Monad (IParser t) Source |
Functor (IParser t) Source |
Applicative (IParser t) Source |

data T Source

Constructors

T !Integer !Int |

digitToInt :: Char -> Int Source

hexDigitToInt :: Char -> Int Source

perhaps :: a -> IParser t a -> IParser t a Source